### Enumeration

# Vips ForeignSubsample

#### Declaration

    enum Vips.ForeignSubsample

#### Description [src]

Set subsampling mode.

#### Members

`VIPS_FOREIGN_SUBSAMPLE_AUTO`

  Prevent subsampling when quality >= 90.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_SUBSAMPLE_ON`

  Always perform subsampling.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_SUBSAMPLE_OFF`

  Never perform subsampling.

  - Value: `2`
  - Available since: 8.0